chng(30)
chng(32)
chng(41)
chng(22)
if(document.fdavgform.elements[0].value =="") document.fdavgform.CHK.disabled=true
function chking(xx)
{
par="../cgi-bin/asist.cgi?" + document.fdavgform.elements[0].value + ":" + document.fdavgform.elements[16].value + ":" + document.fdavgform.elements[17].value + ":" +  "C" + ":" + atodayt("")
var obj_calwindow = window.open(par,"","width=1,height=1,top=600,left=550,titlebar=no,resizable=no,mimimizable=no,dialog=no")
xx.disabled=true
alert("CHK-IN:"+ document.fdavgform.elements[1].value + " " + document.fdavgform.elements[2].value + "\n" +  atodayt("") )
}
function chng(x) {
if(x==0) valact()
if (x==22)
        {
                miobj0=document.fdavgform.elements[x]
                for (i=x+1;i<x+8;i++) if (i!=x+5)
                {
                        miobj1=document.fdavgform.elements[i]
                        if(miobj0.value==1 || miobj0.value==4) miobj1.hidden=false
                        else miobj1.hidden=true
                }
        }
if (x==41)
{
	st="SI"
        miobj0=document.fdavgform.elements[x]
        miobj1=document.fdavgform.elements[x+1]
        if(miobj0.value==st) miobj1.hidden=false
        else miobj1.hidden=true
        miobj1=document.fdavgform.elements[x+2]
        if(miobj0.value==st) miobj1.hidden=false
        else miobj1.hidden=true
}
if (x==42) document.fdavgform.elements[x+1].value=document.fdavgform.elements[x].value
if (x==43) document.fdavgform.elements[x-1].value=document.fdavgform.elements[x].value
if (x==30) hidsh(x,"SI")
if (x==32) hidsh(x,"SI")

}
function hidsh(x,st) {
        miobj0=document.fdavgform.elements[x]
        miobj1=document.fdavgform.elements[x+1]
        if(miobj0.value==st) miobj1.hidden=false
        else miobj1.hidden=true
}

function cons(xx) { botonpres=xx.value }
function closeform()
{
        swapin()
        fld=0
        if(botonpres=="Consultar")
        {
                for(i=0;i<nhd+ncd;i++) if( document.fdavgform.elements[i].value!="") fld=1
                if(fld==0) document.fdavgform.elements[0].value=""
                return true
        }
	return true
}
function insert(rrow)
{
row=nhd+nrd*ncd+rrow*(ncd+1)
rw=(document.fdavgform.elements[row].value)-1
if(document.fdavgform.elements[row+1].value !="")
if(document.fdavgform.elements[nhd+(nrd-1)*ncd].value=="")
{
	swapin()
	for(i=nrd-1;i>rw;i--) for (j=0;j<ncd;j++)
	document.fdavgform.elements[nhd+i*ncd+j].value=document.fdavgform.elements[nhd+i*ncd+j-ncd].value
	for (j=0;j<ncd;j++) document.fdavgform.elements[nhd+i*ncd+j].value=""
	swapout()
}
else alert ("NO PERMITE NUEVA INSERCION")
else
{
	swapin()
	for(i=rw; i<nrd-1;i++) for (j=0;j<ncd;j++)
	document.fdavgform.elements[nhd+i*ncd+j].value=document.fdavgform.elements[nhd+i*ncd+j+ncd].value
	for (j=0;j<ncd;j++)
	document.fdavgform.elements[nhd+i*ncd+j].value=""
	swapout()
}
}
function clearform()
{
lreg=nhd+nrd*ncd+lin*(ncd+1)
for (i=0;i<lreg;i++)
{
	document.fdavgform.elements[i].value=""
	if(document.fdavgform.elements[i].type=="checkbox")
		document.fdavgform.elements[i].checked=false
}
document.fdavgform.elements[i++].disabled=false
document.fdavgform.elements[i++].disabled=true
document.fdavgform.elements[0].readOnly=false
tp=0
for (j=i;j< document.fdavgform.elements.length;j++)
if(document.fdavgform.elements[j].type=="text") document.fdavgform.elements[j].value=""
swapout()
}
